<?php
$tdatasalary_voucher = array();
$tdatasalary_voucher[".searchableFields"] = array();
$tdatasalary_voucher[".ShortName"] = "salary_voucher";
$tdatasalary_voucher[".OwnerID"] = "";
$tdatasalary_voucher[".OriginalTable"] = "salary_voucher";


$tdatasalary_voucher[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"search\":[\"search\"]}" );
$tdatasalary_voucher[".originalPagesByType"] = $tdatasalary_voucher[".pagesByType"];
$tdatasalary_voucher[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"search\":[\"search\"]}" ) );
$tdatasalary_voucher[".originalPages"] = $tdatasalary_voucher[".pages"];
$tdatasalary_voucher[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"list\":\"list\",\"search\":\"search\"}" );
$tdatasalary_voucher[".originalDefaultPages"] = $tdatasalary_voucher[".defaultPages"];

//	field labels
$fieldLabelssalary_voucher = array();
$fieldToolTipssalary_voucher = array();
$pageTitlessalary_voucher = array();
$placeHolderssalary_voucher = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelssalary_voucher["English"] = array();
	$fieldToolTipssalary_voucher["English"] = array();
	$placeHolderssalary_voucher["English"] = array();
	$pageTitlessalary_voucher["English"] = array();
	$fieldLabelssalary_voucher["English"]["id"] = "Id";
	$fieldToolTipssalary_voucher["English"]["id"] = "";
	$placeHolderssalary_voucher["English"]["id"] = "";
	$fieldLabelssalary_voucher["English"]["emp_no"] = "Emp No";
	$fieldToolTipssalary_voucher["English"]["emp_no"] = "";
	$placeHolderssalary_voucher["English"]["emp_no"] = "";
	$fieldLabelssalary_voucher["English"]["employer_name"] = "Employer Name";
	$fieldToolTipssalary_voucher["English"]["employer_name"] = "";
	$placeHolderssalary_voucher["English"]["employer_name"] = "";
	$fieldLabelssalary_voucher["English"]["month"] = "Month";
	$fieldToolTipssalary_voucher["English"]["month"] = "";
	$placeHolderssalary_voucher["English"]["month"] = "";
	$fieldLabelssalary_voucher["English"]["date"] = "Date";
	$fieldToolTipssalary_voucher["English"]["date"] = "";
	$placeHolderssalary_voucher["English"]["date"] = "";
	$fieldLabelssalary_voucher["English"]["basic"] = "Basic";
	$fieldToolTipssalary_voucher["English"]["basic"] = "";
	$placeHolderssalary_voucher["English"]["basic"] = "";
	$fieldLabelssalary_voucher["English"]["over_time_allowance"] = "Over Time Allowance";
	$fieldToolTipssalary_voucher["English"]["over_time_allowance"] = "";
	$placeHolderssalary_voucher["English"]["over_time_allowance"] = "";
	$fieldLabelssalary_voucher["English"]["meal_allowance"] = "Meal Allowance";
	$fieldToolTipssalary_voucher["English"]["meal_allowance"] = "";
	$placeHolderssalary_voucher["English"]["meal_allowance"] = "";
	$fieldLabelssalary_voucher["English"]["special_allowance_1"] = "Special Allowance";
	$fieldToolTipssalary_voucher["English"]["special_allowance_1"] = "";
	$placeHolderssalary_voucher["English"]["special_allowance_1"] = "";
	$fieldLabelssalary_voucher["English"]["budgetary_relief_allowance"] = "Budgetary Relief Allowance";
	$fieldToolTipssalary_voucher["English"]["budgetary_relief_allowance"] = "";
	$placeHolderssalary_voucher["English"]["budgetary_relief_allowance"] = "";
	$fieldLabelssalary_voucher["English"]["e_p_f"] = "E P F";
	$fieldToolTipssalary_voucher["English"]["e_p_f"] = "";
	$placeHolderssalary_voucher["English"]["e_p_f"] = "";
	$fieldLabelssalary_voucher["English"]["details"] = "Details";
	$fieldToolTipssalary_voucher["English"]["details"] = "";
	$placeHolderssalary_voucher["English"]["details"] = "";
	$fieldLabelssalary_voucher["English"]["year"] = "Year";
	$fieldToolTipssalary_voucher["English"]["year"] = "";
	$placeHolderssalary_voucher["English"]["year"] = "";
	$fieldLabelssalary_voucher["English"]["user"] = "User";
	$fieldToolTipssalary_voucher["English"]["user"] = "";
	$placeHolderssalary_voucher["English"]["user"] = "";
	$fieldLabelssalary_voucher["English"]["emp_id"] = "Emp Id";
	$fieldToolTipssalary_voucher["English"]["emp_id"] = "";
	$placeHolderssalary_voucher["English"]["emp_id"] = "";
	$pageTitlessalary_voucher["English"]["edit"] = "Salary Voucher, Edit - {%id}";
	if (count($fieldToolTipssalary_voucher["English"]))
		$tdatasalary_voucher[".isUseToolTips"] = true;
}


	$tdatasalary_voucher[".NCSearch"] = true;



$tdatasalary_voucher[".shortTableName"] = "salary_voucher";
$tdatasalary_voucher[".nSecOptions"] = 0;

$tdatasalary_voucher[".mainTableOwnerID"] = "";
$tdatasalary_voucher[".entityType"] = 0;
$tdatasalary_voucher[".connId"] = "test2_at_localhost";


$tdatasalary_voucher[".strOriginalTableName"] = "salary_voucher";

	



$tdatasalary_voucher[".showAddInPopup"] = false;

$tdatasalary_voucher[".showEditInPopup"] = false;

$tdatasalary_voucher[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatasalary_voucher[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatasalary_voucher[".listAjax"] = false;
//	temporary
$tdatasalary_voucher[".listAjax"] = false;

	$tdatasalary_voucher[".audit"] = true;

	$tdatasalary_voucher[".locking"] = false;


$pages = $tdatasalary_voucher[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatasalary_voucher[".edit"] = true;
	$tdatasalary_voucher[".afterEditAction"] = 1;
	$tdatasalary_voucher[".closePopupAfterEdit"] = 1;
	$tdatasalary_voucher[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatasalary_voucher[".add"] = true;
$tdatasalary_voucher[".afterAddAction"] = 1;
$tdatasalary_voucher[".closePopupAfterAdd"] = 1;
$tdatasalary_voucher[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatasalary_voucher[".list"] = true;
}



$tdatasalary_voucher[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatasalary_voucher[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatasalary_voucher[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatasalary_voucher[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatasalary_voucher[".printFriendly"] = true;
}



$tdatasalary_voucher[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatasalary_voucher[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatasalary_voucher[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatasalary_voucher[".isUseAjaxSuggest"] = true;

$tdatasalary_voucher[".rowHighlite"] = true;



																																																			

$tdatasalary_voucher[".ajaxCodeSnippetAdded"] = false;

$tdatasalary_voucher[".buttonsAdded"] = false;

$tdatasalary_voucher[".addPageEvents"] = false;

// use timepicker for search panel
$tdatasalary_voucher[".isUseTimeForSearch"] = false;


$tdatasalary_voucher[".badgeColor"] = "3CB371";


$tdatasalary_voucher[".allSearchFields"] = array();
$tdatasalary_voucher[".filterFields"] = array();
$tdatasalary_voucher[".requiredSearchFields"] = array();

$tdatasalary_voucher[".googleLikeFields"] = array();
$tdatasalary_voucher[".googleLikeFields"][] = "id";
$tdatasalary_voucher[".googleLikeFields"][] = "emp_no";
$tdatasalary_voucher[".googleLikeFields"][] = "employer_name";
$tdatasalary_voucher[".googleLikeFields"][] = "month";
$tdatasalary_voucher[".googleLikeFields"][] = "date";
$tdatasalary_voucher[".googleLikeFields"][] = "basic";
$tdatasalary_voucher[".googleLikeFields"][] = "over_time_allowance";
$tdatasalary_voucher[".googleLikeFields"][] = "meal_allowance";
$tdatasalary_voucher[".googleLikeFields"][] = "special_allowance_1";
$tdatasalary_voucher[".googleLikeFields"][] = "budgetary_relief_allowance";
$tdatasalary_voucher[".googleLikeFields"][] = "e_p_f";
$tdatasalary_voucher[".googleLikeFields"][] = "details";
$tdatasalary_voucher[".googleLikeFields"][] = "year";
$tdatasalary_voucher[".googleLikeFields"][] = "user";
$tdatasalary_voucher[".googleLikeFields"][] = "emp_id";



$tdatasalary_voucher[".tableType"] = "list";

$tdatasalary_voucher[".printerPageOrientation"] = 0;
$tdatasalary_voucher[".nPrinterPageScale"] = 100;

$tdatasalary_voucher[".nPrinterSplitRecords"] = 40;

$tdatasalary_voucher[".geocodingEnabled"] = false;










$tdatasalary_voucher[".pageSize"] = 20;

$tdatasalary_voucher[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatasalary_voucher[".strOrderBy"] = $tstrOrderBy;

$tdatasalary_voucher[".orderindexes"] = array();


$tdatasalary_voucher[".sqlHead"] = "SELECT id,  	emp_no,  	employer_name,  	`month`,  	`date`,  	basic,  	over_time_allowance,  	meal_allowance,  	special_allowance_1,  	budgetary_relief_allowance,  	e_p_f,  	details,  	`year`,  	`user`,  	emp_id";
$tdatasalary_voucher[".sqlFrom"] = "FROM salary_voucher";
$tdatasalary_voucher[".sqlWhereExpr"] = "";
$tdatasalary_voucher[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatasalary_voucher[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatasalary_voucher[".arrGroupsPerPage"] = $arrGPP;

$tdatasalary_voucher[".highlightSearchResults"] = true;

$tableKeyssalary_voucher = array();
$tableKeyssalary_voucher[] = "id";
$tdatasalary_voucher[".Keys"] = $tableKeyssalary_voucher;


$tdatasalary_voucher[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "salary_voucher";
	$fdata["Label"] = GetFieldLabel("salary_voucher","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalary_voucher["id"] = $fdata;
		$tdatasalary_voucher[".searchableFields"][] = "id";
//	emp_no
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "emp_no";
	$fdata["GoodName"] = "emp_no";
	$fdata["ownerTable"] = "salary_voucher";
	$fdata["Label"] = GetFieldLabel("salary_voucher","emp_no");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "emp_no";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "emp_no";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["list"] = $vdata;
	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["export"] = $vdata;
	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["masterlist"] = $vdata;
	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["masterprint"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "attendance11";
			$edata["autoCompleteFieldsOnEdit"] = 1;
	$edata["autoCompleteFields"] = array();
		$edata["autoCompleteFields"][] = array('masterF'=>"basic", 'lookupF'=>"salary");
	$edata["autoCompleteFields"][] = array('masterF'=>"over_time_allowance", 'lookupF'=>"OT");
	$edata["autoCompleteFields"][] = array('masterF'=>"meal_allowance", 'lookupF'=>"meal_allowance");
	$edata["autoCompleteFields"][] = array('masterF'=>"special_allowance_1", 'lookupF'=>"special_allowance_1");
	$edata["autoCompleteFields"][] = array('masterF'=>"budgetary_relief_allowance", 'lookupF'=>"budgetary_relief_allowance");
	$edata["autoCompleteFields"][] = array('masterF'=>"e_p_f", 'lookupF'=>"e_P_f");
	$edata["autoCompleteFields"][] = array('masterF'=>"details", 'lookupF'=>"details");
	$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "emp_id";

	

	
	$edata["LookupOrderBy"] = "emp_id";

	
		$edata["UseCategory"] = true;
	$edata["categoryFields"] = array();
	$edata["categoryFields"][] = array( "main" => "month", "lookup" => "month" );

	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
		$edata["autoUpdatable"] = true;

	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "attendance11";
			$edata["autoCompleteFieldsOnEdit"] = 1;
	$edata["autoCompleteFields"] = array();
		$edata["autoCompleteFields"][] = array('masterF'=>"employer_name", 'lookupF'=>"fullname");
	$edata["autoCompleteFields"][] = array('masterF'=>"basic", 'lookupF'=>"salary");
	$edata["autoCompleteFields"][] = array('masterF'=>"over_time_allowance", 'lookupF'=>"OT");
	$edata["autoCompleteFields"][] = array('masterF'=>"meal_allowance", 'lookupF'=>"meal_allowance");
	$edata["autoCompleteFields"][] = array('masterF'=>"special_allowance_1", 'lookupF'=>"special_allowance_1");
	$edata["autoCompleteFields"][] = array('masterF'=>"budgetary_relief_allowance", 'lookupF'=>"budgetary_relief_allowance");
	$edata["autoCompleteFields"][] = array('masterF'=>"e_p_f", 'lookupF'=>"e_P_f");
	$edata["autoCompleteFields"][] = array('masterF'=>"details", 'lookupF'=>"details");
	$edata["autoCompleteFields"][] = array('masterF'=>"emp_id", 'lookupF'=>"emp_id");
	$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "emp_id";

	

	
	$edata["LookupOrderBy"] = "emp_id";

	
		$edata["UseCategory"] = true;
	$edata["categoryFields"] = array();
	$edata["categoryFields"][] = array( "main" => "month", "lookup" => "month" );

	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
			$edata["validateAs"]["basicValidate"][] = "DenyDuplicated";
	$edata["validateAs"]["customMessages"]["DenyDuplicated"] = array("message" => "Value %value% already exists", "messageType" => "Text");

	
	//	End validation

	
			
	
		$edata["denyDuplicates"] = true;

	
	$fdata["EditFormats"]["add"] = $edata;
	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "attendance11";
			$edata["autoCompleteFieldsOnEdit"] = 1;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "emp_id";

	

	
	$edata["LookupOrderBy"] = "emp_id";

	
		$edata["UseCategory"] = true;
	$edata["categoryFields"] = array();
	$edata["categoryFields"][] = array( "main" => "month", "lookup" => "month" );

	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
			$edata["validateAs"]["basicValidate"][] = "DenyDuplicated";
	$edata["validateAs"]["customMessages"]["DenyDuplicated"] = array("message" => "Value %value% already exists", "messageType" => "Text");

		$edata["autoUpdatable"] = true;

	//	End validation

	
			
	
		$edata["denyDuplicates"] = true;

	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = true;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalary_voucher["emp_no"] = $fdata;
		$tdatasalary_voucher[".searchableFields"][] = "emp_no";
//	employer_name
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "employer_name";
	$fdata["GoodName"] = "employer_name";
	$fdata["ownerTable"] = "salary_voucher";
	$fdata["Label"] = GetFieldLabel("salary_voucher","employer_name");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "employer_name";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "employer_name";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalary_voucher["employer_name"] = $fdata;
		$tdatasalary_voucher[".searchableFields"][] = "employer_name";
//	month
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "month";
	$fdata["GoodName"] = "month";
	$fdata["ownerTable"] = "salary_voucher";
	$fdata["Label"] = GetFieldLabel("salary_voucher","month");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "month";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`month`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["list"] = $vdata;
	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["export"] = $vdata;
	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["masterlist"] = $vdata;
	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["masterprint"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "attendance";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
			$edata["LookupUnique"] = true;

	$edata["LinkField"] = "month";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "month";

	

	
	$edata["LookupOrderBy"] = "month";

	
		$edata["UseCategory"] = true;
	$edata["categoryFields"] = array();
	$edata["categoryFields"][] = array( "main" => "year", "lookup" => "year" );

	
	
				//dependent dropdowns @deprecated data ?
	$edata["DependentLookups"] = array();
	$edata["DependentLookups"][] = "emp_no";
				$edata["DependentLookups"][] = "emp_no";
				$edata["DependentLookups"][] = "emp_no";

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["add"] = $edata;
	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = true;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalary_voucher["month"] = $fdata;
		$tdatasalary_voucher[".searchableFields"][] = "month";
//	date
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "date";
	$fdata["GoodName"] = "date";
	$fdata["ownerTable"] = "salary_voucher";
	$fdata["Label"] = GetFieldLabel("salary_voucher","date");
	$fdata["FieldType"] = 135;

	
	
	
			

		$fdata["strField"] = "date";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`date`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalary_voucher["date"] = $fdata;
		$tdatasalary_voucher[".searchableFields"][] = "date";
//	basic
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "basic";
	$fdata["GoodName"] = "basic";
	$fdata["ownerTable"] = "salary_voucher";
	$fdata["Label"] = GetFieldLabel("salary_voucher","basic");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "basic";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "basic";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalary_voucher["basic"] = $fdata;
		$tdatasalary_voucher[".searchableFields"][] = "basic";
//	over_time_allowance
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "over_time_allowance";
	$fdata["GoodName"] = "over_time_allowance";
	$fdata["ownerTable"] = "salary_voucher";
	$fdata["Label"] = GetFieldLabel("salary_voucher","over_time_allowance");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "over_time_allowance";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "over_time_allowance";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalary_voucher["over_time_allowance"] = $fdata;
		$tdatasalary_voucher[".searchableFields"][] = "over_time_allowance";
//	meal_allowance
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "meal_allowance";
	$fdata["GoodName"] = "meal_allowance";
	$fdata["ownerTable"] = "salary_voucher";
	$fdata["Label"] = GetFieldLabel("salary_voucher","meal_allowance");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "meal_allowance";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "meal_allowance";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalary_voucher["meal_allowance"] = $fdata;
		$tdatasalary_voucher[".searchableFields"][] = "meal_allowance";
//	special_allowance_1
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "special_allowance_1";
	$fdata["GoodName"] = "special_allowance_1";
	$fdata["ownerTable"] = "salary_voucher";
	$fdata["Label"] = GetFieldLabel("salary_voucher","special_allowance_1");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "special_allowance_1";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "special_allowance_1";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalary_voucher["special_allowance_1"] = $fdata;
		$tdatasalary_voucher[".searchableFields"][] = "special_allowance_1";
//	budgetary_relief_allowance
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "budgetary_relief_allowance";
	$fdata["GoodName"] = "budgetary_relief_allowance";
	$fdata["ownerTable"] = "salary_voucher";
	$fdata["Label"] = GetFieldLabel("salary_voucher","budgetary_relief_allowance");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "budgetary_relief_allowance";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "budgetary_relief_allowance";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalary_voucher["budgetary_relief_allowance"] = $fdata;
		$tdatasalary_voucher[".searchableFields"][] = "budgetary_relief_allowance";
//	e_p_f
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "e_p_f";
	$fdata["GoodName"] = "e_p_f";
	$fdata["ownerTable"] = "salary_voucher";
	$fdata["Label"] = GetFieldLabel("salary_voucher","e_p_f");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "e_p_f";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "e_p_f";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalary_voucher["e_p_f"] = $fdata;
		$tdatasalary_voucher[".searchableFields"][] = "e_p_f";
//	details
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "details";
	$fdata["GoodName"] = "details";
	$fdata["ownerTable"] = "salary_voucher";
	$fdata["Label"] = GetFieldLabel("salary_voucher","details");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "details";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "details";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalary_voucher["details"] = $fdata;
		$tdatasalary_voucher[".searchableFields"][] = "details";
//	year
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 13;
	$fdata["strName"] = "year";
	$fdata["GoodName"] = "year";
	$fdata["ownerTable"] = "salary_voucher";
	$fdata["Label"] = GetFieldLabel("salary_voucher","year");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "year";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`year`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["list"] = $vdata;
	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["export"] = $vdata;
	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["masterlist"] = $vdata;
	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["masterprint"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "attendance";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
			$edata["LookupUnique"] = true;

	$edata["LinkField"] = "year";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "year";

	

	
	$edata["LookupOrderBy"] = "year";

	
	
	
	
				//dependent dropdowns @deprecated data ?
	$edata["DependentLookups"] = array();
	$edata["DependentLookups"][] = "month";

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["add"] = $edata;
	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "attendance";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
			$edata["LookupUnique"] = true;

	$edata["LinkField"] = "year";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "year";

	

	
	$edata["LookupOrderBy"] = "year";

	
	
	
	
				//dependent dropdowns @deprecated data ?
	$edata["DependentLookups"] = array();
	$edata["DependentLookups"][] = "month";

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = true;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalary_voucher["year"] = $fdata;
		$tdatasalary_voucher[".searchableFields"][] = "year";
//	user
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 14;
	$fdata["strName"] = "user";
	$fdata["GoodName"] = "user";
	$fdata["ownerTable"] = "salary_voucher";
	$fdata["Label"] = GetFieldLabel("salary_voucher","user");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "user";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`user`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
		$edata["autoUpdatable"] = true;

	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalary_voucher["user"] = $fdata;
		$tdatasalary_voucher[".searchableFields"][] = "user";
//	emp_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 15;
	$fdata["strName"] = "emp_id";
	$fdata["GoodName"] = "emp_id";
	$fdata["ownerTable"] = "salary_voucher";
	$fdata["Label"] = GetFieldLabel("salary_voucher","emp_id");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "emp_id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "emp_id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalary_voucher["emp_id"] = $fdata;
		$tdatasalary_voucher[".searchableFields"][] = "emp_id";


$tables_data["salary_voucher"]=&$tdatasalary_voucher;
$field_labels["salary_voucher"] = &$fieldLabelssalary_voucher;
$fieldToolTips["salary_voucher"] = &$fieldToolTipssalary_voucher;
$placeHolders["salary_voucher"] = &$placeHolderssalary_voucher;
$page_titles["salary_voucher"] = &$pageTitlessalary_voucher;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["salary_voucher"] = array();
//	payment_of_loan_installments
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="payment_of_loan_installments";
		$detailsParam["dOriginalTable"] = "payment_of_loan_installments";



		
		$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "payment_of_loan_installments";
	$detailsParam["dCaptionTable"] = GetTableCaption("payment_of_loan_installments");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["salary_voucher"][$dIndex] = $detailsParam;

	
		$detailsTablesData["salary_voucher"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["salary_voucher"][$dIndex]["masterKeys"][]="id";

	$detailsTablesData["salary_voucher"][$dIndex]["masterKeys"][]="month";

				$detailsTablesData["salary_voucher"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["salary_voucher"][$dIndex]["detailKeys"][]="pay_slip_link";

		
	$detailsTablesData["salary_voucher"][$dIndex]["detailKeys"][]="month";
//	salary_advance
	
	

		$dIndex = 1;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="salary_advance";
		$detailsParam["dOriginalTable"] = "salary_advance";



		
		$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "salary_advance";
	$detailsParam["dCaptionTable"] = GetTableCaption("salary_advance");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["salary_voucher"][$dIndex] = $detailsParam;

	
		$detailsTablesData["salary_voucher"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["salary_voucher"][$dIndex]["masterKeys"][]="id";

	$detailsTablesData["salary_voucher"][$dIndex]["masterKeys"][]="month";

	$detailsTablesData["salary_voucher"][$dIndex]["masterKeys"][]="emp_id";

				$detailsTablesData["salary_voucher"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["salary_voucher"][$dIndex]["detailKeys"][]="salary_v_link";

		
	$detailsTablesData["salary_voucher"][$dIndex]["detailKeys"][]="month";

		
	$detailsTablesData["salary_voucher"][$dIndex]["detailKeys"][]="emp_id";

// tables which are master tables for current table (detail)
$masterTablesData["salary_voucher"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_salary_voucher()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  	emp_no,  	employer_name,  	`month`,  	`date`,  	basic,  	over_time_allowance,  	meal_allowance,  	special_allowance_1,  	budgetary_relief_allowance,  	e_p_f,  	details,  	`year`,  	`user`,  	emp_id";
$proto0["m_strFrom"] = "FROM salary_voucher";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "salary_voucher",
	"m_srcTableName" => "salary_voucher"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "salary_voucher";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "emp_no",
	"m_strTable" => "salary_voucher",
	"m_srcTableName" => "salary_voucher"
));

$proto8["m_sql"] = "emp_no";
$proto8["m_srcTableName"] = "salary_voucher";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "employer_name",
	"m_strTable" => "salary_voucher",
	"m_srcTableName" => "salary_voucher"
));

$proto10["m_sql"] = "employer_name";
$proto10["m_srcTableName"] = "salary_voucher";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "month",
	"m_strTable" => "salary_voucher",
	"m_srcTableName" => "salary_voucher"
));

$proto12["m_sql"] = "`month`";
$proto12["m_srcTableName"] = "salary_voucher";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "date",
	"m_strTable" => "salary_voucher",
	"m_srcTableName" => "salary_voucher"
));

$proto14["m_sql"] = "`date`";
$proto14["m_srcTableName"] = "salary_voucher";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "basic",
	"m_strTable" => "salary_voucher",
	"m_srcTableName" => "salary_voucher"
));

$proto16["m_sql"] = "basic";
$proto16["m_srcTableName"] = "salary_voucher";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "over_time_allowance",
	"m_strTable" => "salary_voucher",
	"m_srcTableName" => "salary_voucher"
));

$proto18["m_sql"] = "over_time_allowance";
$proto18["m_srcTableName"] = "salary_voucher";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "meal_allowance",
	"m_strTable" => "salary_voucher",
	"m_srcTableName" => "salary_voucher"
));

$proto20["m_sql"] = "meal_allowance";
$proto20["m_srcTableName"] = "salary_voucher";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "special_allowance_1",
	"m_strTable" => "salary_voucher",
	"m_srcTableName" => "salary_voucher"
));

$proto22["m_sql"] = "special_allowance_1";
$proto22["m_srcTableName"] = "salary_voucher";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$obj = new SQLField(array(
	"m_strName" => "budgetary_relief_allowance",
	"m_strTable" => "salary_voucher",
	"m_srcTableName" => "salary_voucher"
));

$proto24["m_sql"] = "budgetary_relief_allowance";
$proto24["m_srcTableName"] = "salary_voucher";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
						$proto26=array();
			$obj = new SQLField(array(
	"m_strName" => "e_p_f",
	"m_strTable" => "salary_voucher",
	"m_srcTableName" => "salary_voucher"
));

$proto26["m_sql"] = "e_p_f";
$proto26["m_srcTableName"] = "salary_voucher";
$proto26["m_expr"]=$obj;
$proto26["m_alias"] = "";
$obj = new SQLFieldListItem($proto26);

$proto0["m_fieldlist"][]=$obj;
						$proto28=array();
			$obj = new SQLField(array(
	"m_strName" => "details",
	"m_strTable" => "salary_voucher",
	"m_srcTableName" => "salary_voucher"
));

$proto28["m_sql"] = "details";
$proto28["m_srcTableName"] = "salary_voucher";
$proto28["m_expr"]=$obj;
$proto28["m_alias"] = "";
$obj = new SQLFieldListItem($proto28);

$proto0["m_fieldlist"][]=$obj;
						$proto30=array();
			$obj = new SQLField(array(
	"m_strName" => "year",
	"m_strTable" => "salary_voucher",
	"m_srcTableName" => "salary_voucher"
));

$proto30["m_sql"] = "`year`";
$proto30["m_srcTableName"] = "salary_voucher";
$proto30["m_expr"]=$obj;
$proto30["m_alias"] = "";
$obj = new SQLFieldListItem($proto30);

$proto0["m_fieldlist"][]=$obj;
						$proto32=array();
			$obj = new SQLField(array(
	"m_strName" => "user",
	"m_strTable" => "salary_voucher",
	"m_srcTableName" => "salary_voucher"
));

$proto32["m_sql"] = "`user`";
$proto32["m_srcTableName"] = "salary_voucher";
$proto32["m_expr"]=$obj;
$proto32["m_alias"] = "";
$obj = new SQLFieldListItem($proto32);

$proto0["m_fieldlist"][]=$obj;
						$proto34=array();
			$obj = new SQLField(array(
	"m_strName" => "emp_id",
	"m_strTable" => "salary_voucher",
	"m_srcTableName" => "salary_voucher"
));

$proto34["m_sql"] = "emp_id";
$proto34["m_srcTableName"] = "salary_voucher";
$proto34["m_expr"]=$obj;
$proto34["m_alias"] = "";
$obj = new SQLFieldListItem($proto34);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto36=array();
$proto36["m_link"] = "SQLL_MAIN";
			$proto37=array();
$proto37["m_strName"] = "salary_voucher";
$proto37["m_srcTableName"] = "salary_voucher";
$proto37["m_columns"] = array();
$proto37["m_columns"][] = "id";
$proto37["m_columns"][] = "emp_no";
$proto37["m_columns"][] = "employer_name";
$proto37["m_columns"][] = "month";
$proto37["m_columns"][] = "date";
$proto37["m_columns"][] = "basic";
$proto37["m_columns"][] = "over_time_allowance";
$proto37["m_columns"][] = "meal_allowance";
$proto37["m_columns"][] = "special_allowance_1";
$proto37["m_columns"][] = "budgetary_relief_allowance";
$proto37["m_columns"][] = "e_p_f";
$proto37["m_columns"][] = "details";
$proto37["m_columns"][] = "year";
$proto37["m_columns"][] = "user";
$proto37["m_columns"][] = "emp_id";
$obj = new SQLTable($proto37);

$proto36["m_table"] = $obj;
$proto36["m_sql"] = "salary_voucher";
$proto36["m_alias"] = "";
$proto36["m_srcTableName"] = "salary_voucher";
$proto38=array();
$proto38["m_sql"] = "";
$proto38["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto38["m_column"]=$obj;
$proto38["m_contained"] = array();
$proto38["m_strCase"] = "";
$proto38["m_havingmode"] = false;
$proto38["m_inBrackets"] = false;
$proto38["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto38);

$proto36["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto36);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="salary_voucher";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_salary_voucher = createSqlQuery_salary_voucher();


	
		;

															

$tdatasalary_voucher[".sqlquery"] = $queryData_salary_voucher;



$tableEvents["salary_voucher"] = new eventsBase;
$tdatasalary_voucher[".hasEvents"] = false;

?>